Package com.avaya.clientservices.call.feature

## Class FeatureParameters

- java.lang.Object
- - com.avaya.clientservices.call.feature.FeatureParameters

-     public class FeatureParameters
      extends java.lang.Object

  This is a union of the parameters of the FNU features. The caller should know which parameters to populate for a specific feature.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureParameters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDialCode()` |
    `FeatureType` | `getFeatureType()` |
    `int` | `getGroupNumber()` |
    `int` | `getHuntGroupNumber()` | Deprecated. THIS METHOD WILL BE REMOVED.
    `java.lang.String` | `getOwnerExtension()` |
    `void` | `setDialCode​(java.lang.String dialCode)` | The Dial Code associated with the auto-intercom feature.
    `void` | `setFeatureType​(FeatureType feature)` | The feature type associated with the feature.
    `void` | `setGroupNumber​(int groupNumber)` | The Group Number associated with the hunt-group-busy-position/auto-intercom feature.
    `void` | `setHuntGroupNumber​(int huntGroupNumber)` | Deprecated. THIS METHOD WILL BE REMOVED.
    `void` | `setOwnerExtension​(java.lang.String ownerExtension)` | The owner extension associated with this feature.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureParameters

          public FeatureParameters()

  - ### Method Detail

    - #### setFeatureType

          public void setFeatureType​(FeatureType feature)

      The feature type associated with the feature.
      Parameters:
        `feature` - The feature type associated with the feature.

    - #### getFeatureType

          public FeatureType getFeatureType()

      Returns:
        The feature type associated with the feature.

    - #### setOwnerExtension

          public void setOwnerExtension​(java.lang.String ownerExtension)

      The owner extension associated with this feature. Populate if targeted feature's owner is different from the local user's extension.
      Parameters:
        `ownerExtension` - The feature owner extension.

    - #### getOwnerExtension

          public java.lang.String getOwnerExtension()

      Returns:
        The owner extension associated with the feature.

    - #### setHuntGroupNumber

          @Deprecated
          public void setHuntGroupNumber​(int huntGroupNumber)

      Deprecated.
      THIS METHOD WILL BE REMOVED. Use `setGroupNumber(int)` instead.
      The Hunt Group Number associated with the hunt-group-busy-position feature Populate if the feature is Hunt Group Busy Position feature.
      Parameters:
        `huntGroupNumber` - The hunt group number associated with feature.

    - #### getHuntGroupNumber

          @Deprecated
          public int getHuntGroupNumber()

      Deprecated.
      THIS METHOD WILL BE REMOVED. Use `getGroupNumber()` instead.
      Returns:
        The hunt group number associated with the feature.

    - #### setGroupNumber

          public void setGroupNumber​(int groupNumber)

      The Group Number associated with the hunt-group-busy-position/auto-intercom feature. Populate if the feature is Hunt Group Busy Position or Auto Intercom feature.
      Parameters:
        `groupNumber` - The group number associated with feature.

    - #### getGroupNumber

          public int getGroupNumber()

      Returns:
        The group number associated with the feature.

    - #### setDialCode

          public void setDialCode​(java.lang.String dialCode)

      The Dial Code associated with the auto-intercom feature. Populate if the feature is Auto Intercom feature.
      Parameters:
        `dialCode` - The dial code associated with feature.

    - #### getDialCode

          public java.lang.String getDialCode()

      Returns:
        The dial code associated with the feature.